<!doctype html>
<html>
<head>
    <title>Tor Weekly News — October 22nd, 2014 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Weekly News — October 22nd, 2014 | Tor Project">
    <meta property="og:description" content="Welcome to the forty-second issue in 2014 of Tor Weekly News, the weekly newsletter that covers...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-weekly-news-october-22nd-2014/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Weekly News — October 22nd, 2014
      </h1>
    <p class="meta">by harmony | October 22, 2014</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Welcome to the forty-second issue in 2014 of Tor Weekly News, the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-news" rel="nofollow">weekly newsletter</a> that covers what’s happening in the Tor community.</p>

<h1>Tor 0.2.5.9-rc is out</h1>

<p>Nick Mathewson <a href="https://lists.torproject.org/pipermail/tor-talk/2014-October/035302.html" rel="nofollow">announced</a> what is hopefully the final release candidate in the Tor 0.2.5 series. It contains two enhancements in response to the recent <a href="https://blog.torproject.org/blog/new-sslv3-attack-found-disable-sslv3-torbrowser" rel="nofollow">POODLE attack on OpenSSL</a>, “even though POODLE does not affect Tor”, as well as a number of other miscellaneous improvements.</p>

<p>Upgrading is especially important for relay operators, as a <a href="https://blog.torproject.org/blog/advisory-remote-dos-when-using-tor-recent-openssl-versions-built-no-ssl3-option" rel="nofollow">remote crash is possible</a> when older Tor versions are used with a version of OpenSSL released last week that was built with the “no-ssl3” flag.</p>

<p>As ever, you can download the source code from the <a href="https://www.torproject.org/dist/" rel="nofollow">distribution directory</a> and packages should follow shortly.</p>

<h1>Tor Browser 4.0 is out</h1>

<p>Mike Perry <a href="https://blog.torproject.org/blog/tor-browser-40-released" rel="nofollow">announced</a> a major release by the Tor Browser team. Version 4.0 of the secure and anonymous web browser brings several exciting new features to the stable series, including the <a href="https://trac.torproject.org/projects/tor/wiki/doc/meek" rel="nofollow">meek</a> censorship-circumvention tool, the secure updater, and a simplified Javascript enabling/disabling process in NoScript, all based on a customized Firefox ESR31. SSLv3 is also disabled, in response to the recent POODLE attack.</p>

<p>This release contains important security fixes, and all users should upgrade as soon as possible. Please note that the new directory structure means users cannot simply extract the new Tor Browser over their existing 3.6.6 directory, and must instead delete the old version entirely. The secure updater still requires manual activation in the “About Tor Browser” menu option, as its security will depend “on the specific CA that issued the <a href="http://www.torproject.org" rel="nofollow">www.torproject.org</a> HTTPS certificate (Digicert)” until <a href="https://bugs.torproject.org/11955" rel="nofollow">site-specific certificate pinning</a> and <a href="https://bugs.torproject.org/13379" rel="nofollow">signed update files</a> are implemented. Furthermore, “we still need to improve meek’s performance to match other transports”, wrote Mike, “so adjust your expectations accordingly”.</p>

<p>See Mike’s post for further details and a full changelog, and get your copy of Tor Browser 4.0 from the <a href="https://www.torproject.org/dist/torbrowser/4.0/" rel="nofollow">distribution directory</a> or the <a href="https://www.torproject.org/download/download-easy" rel="nofollow">download page</a>.</p>

<h1>Tails 1.2 is out</h1>

<p>The Tails team put out <a href="https://tails.boum.org/news/version_1.2/" rel="nofollow">version 1.2</a> of the anonymizing live operating system. This release replaces the Iceweasel browser with “most of” the regular Tor Browser, and confines several important applications with AppArmor.</p>

<p>I2P will now, like Tor, be started upon network connection if activated with the “i2p” boot parameter, and must be used with the new dedicated I2P Browser. This is also the last Tails release to ship with the now-unmaintained TrueCrypt tool, but the Tails team has already documented the method for <a href="https://tails.boum.org/doc/encryption_and_privacy/truecrypt/index#cryptsetup" rel="nofollow">opening TrueCrypt volumes with cryptsetup</a>. See the team’s announcement for a full list of changes in the new version.</p>

<p>This is an important security release and all users should upgrade as soon as possible. If you have a running Tails, you should be able to use the incremental updater; if your Tails drive was manually created, or you are a new user, head to the <a href="https://tails.boum.org/download/" rel="nofollow">download page</a> for more information.</p>

<h1>Miscellaneous news</h1>

<p>tagnaq <a href="https://lists.torproject.org/pipermail/tor-talk/2014-October/035285.html" rel="nofollow">warned</a> users of <a href="https://trac.torproject.org/projects/tor/wiki/torbirdy" rel="nofollow">TorBirdy</a>, the torifying extension for the Thunderbird mail client, that a change in Thunderbird 31’s handling of the “reply_header_authorwrote” header means that the word “wrote”, translated into the user’s system language, may be inserted before quoted text when replying to emails, leaking the system language to recipients of replies if not removed. Jacob Appelbaum <a href="https://lists.torproject.org/pipermail/tor-talk/2014-October/035305.html" rel="nofollow">responded</a> that a new release of TorBirdy addressing this and other issues was imminent.</p>

<p>Arturo Filastò <a href="https://lists.torproject.org/pipermail/ooni-dev/2014-October/000177.html" rel="nofollow">announced</a> the release of ooniprobe 1.1.2, containing “two new report entry keys, test_start_time and test_runtime”, and a fix for a bug that “led to ooniresources not working properly”.</p>

<p>evilaliv3 <a href="https://lists.torproject.org/pipermail/tor-dev/2014-October/007641.html" rel="nofollow">announced</a> version 3.1.20 of tor2web, an HTTP proxy that enables access to hidden services without a Tor client, for users who do not require strong anonymity. As well as “some networking bugfixing and optimizations”, this release adds a “replace” mode for remotely-fetched blocklists in addition to “merge”, and a feature that allows different hostnames to be mapped to specific hidden services.</p>

<p>Karsten Loesing gave users of Onionoo a “<a href="https://lists.torproject.org/pipermail/onionoo-announce/2014/000001.html" rel="nofollow">one-month heads-up</a>” that on or after November 15th, a change to the protocol will let the search parameter “accept base64-encoded fingerprints in addition to hex-encoded fingerprints, nicknames, and IP addresses.” These searches will also return relays whose base64-encoded fingerprints are a partial match for the search string. “If you’re fine with that, feel free to ignore this message and do nothing”, but if not, “you’ll have to filter out those relays locally”.</p>

<p>Following updates to the Tor Project’s website, Sebastian Hahn <a href="https://lists.torproject.org/pipermail/tor-mirrors/2014-October/000727.html" rel="nofollow">drew attention</a> to a change in the steps necessary to <a href="https://www.torproject.org/docs/running-a-mirror" rel="nofollow">run a website mirror</a>. “Please ask if you run into any trouble, and thanks for providing a mirror!”</p>

<p>Inspired by “the Directory Authorities, the crappy experiment leading up to Black Hat, and the promise that one can recreate the Tor network in the event of some catastrophe”, Tom Ritter sent out a <a href="https://lists.torproject.org/pipermail/tor-dev/2014-October/007613.html" rel="nofollow">detailed report</a> of issues he encountered while setting up his own Tor network using “full-featured independent tor daemons”, rather than a <a href="https://www.torproject.org/docs/faq#PrivateTorNetwork" rel="nofollow">network simulator</a> like Shadow or Chutney.</p>

<p>Cthulhu asked for assistance in overhauling the <a href="https://bugs.torproject.org/13421" rel="nofollow">GoodBadISP page</a>, which is the starting point for many relay operators around the world. If you have some time to spare, or know some ISPs not yet on the list, it would be greatly appreciated if they could be added to the page. This new effort to reach out to hosting providers could be of great value after years of what Roger Dingledine has <a href="https://lists.torproject.org/pipermail/tor-relays/2014-October/005495.html" rel="nofollow">described</a> as a “slash and burn” agriculture model of operating Tor nodes.</p>

<p>Vladimir Martyanov started a <a href="https://lists.torproject.org/pipermail/tor-dev/2014-October/007619.html" rel="nofollow">discussion</a> on the question of whether Tor developers should ensure that tor can still be built using compilers that do not support the C99 programming language standard, such as older versions of Microsoft Visual Studio.</p>

<p>This issue of Tor Weekly News has been assembled by Lunar, Cthulhu, Roger Dingledine, Karsten Loesing, and Harmony.</p>

<p>Want to continue reading TWN? Please help us create this newsletter. We still need more volunteers to watch the Tor community and report important news. Please see the <a href="https://trac.torproject.org/projects/tor/wiki/TorWeeklyNews" rel="nofollow">project page</a>, write down your name and subscribe to the <a href="https://lists.torproject.org/cgi-bin/mailman/listinfo/news-team" rel="nofollow">team mailing list</a> if you want to get involved!</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Comments are closed.</p>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
